Skip to content
PATCH /unified/ads/ads/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

account_idstring

The unique identifier for the account.

ad_group_idstring

The unique identifier for the ad_group.

bidobject

The bid for the ad.

adjustmentsobject

The bid adjustments for the ad.

amountstring

The bid amount for the ad.

constraintsobject

The bid constraints for the ad.

objective_valuesobject

The bid values for different objectives of the ad.

strategyobject

The bid strategy for the ad.

2 properties
idstring

The unique identifier for the bid strategy.

namestring

The name of the bid strategy.

conversion_domainstring

The conversion domain for the ad.

creative_idstring[]

The unique identifier for the creative.

labelsobject[]

The labels for the ad.

idstring

The unique identifier for the label.

namestring

The name of the label.

namestring

The name of the ad.

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

statusstring

The status of the ad.

Possible values:
activepauseddeletedarchivedin_processwith_issuescampaign_pausedpending_reviewdisapprovedpreapprovedpending_billing_infoadset_paused

Response Body

idstring
required·

The unique identifier for the ad.

account_idstring

The unique identifier for the account.

ad_group_idstring

The unique identifier for the ad_group.

bidobject

The bid for the ad.

adjustmentsobject

The bid adjustments for the ad.

amountstring

The bid amount for the ad.

constraintsobject

The bid constraints for the ad.

objective_valuesobject

The bid values for different objectives of the ad.

strategyobject

The bid strategy for the ad.

2 properties
idstring

The unique identifier for the bid strategy.

namestring

The name of the bid strategy.

campaign_idstring

The unique identifier for the campaign.

conversion_domainstring

The conversion domain for the ad.

created_atstring · date-time

The date and time the ad was created.

creativeobject

The creative for the ad.

creative_idstring[]

The unique identifier for the creative.

issuesobject[]

The issues for the ad that prevented the ad from being delivered.

codestring

The code for the issue.

descriptionstring

The error summary for the issue.

levelstring

The level for the issue.

messagestring

The error message for the issue.

typestring

The type for the issue.

labelsobject[]

The labels for the ad.

idstring

The unique identifier for the label.

namestring

The name of the label.

namestring

The name of the ad.

preview_urlobject[]

The preview URL for the ad.

typestring

The type for the preview.

urlstring

The URL for the preview.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

scheduleobject

The schedule for the ad.

end_timestring · date-time

The end time for the ad.

start_timestring · date-time

The start time for the ad.

statusstring

The status of the ad.

Possible values:
activepauseddeletedarchivedin_processwith_issuescampaign_pausedpending_reviewdisapprovedpreapprovedpending_billing_infoadset_paused
tracking_specsobject[]

The tracking specs for the ad.

typestring

The type of the ad

updated_atstring · date-time

The date and time the ad was last updated.

curl -X PATCH 'https://api.truto.one/unified/ads/ads/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "account_id": "your_account_id",
  "labels": [],
  "ad_group_id": "your_ad_group_id",
  "bid": {},
  "conversion_domain": "your_conversion_domain",
  "creative_id": [],
  "name": "your_name",
  "status": "active",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "account_id": "your_account_id",
  "labels": [],
  "ad_group_id": "your_ad_group_id",
  "bid": {},
  "conversion_domain": "your_conversion_domain",
  "creative_id": [],
  "name": "your_name",
  "status": "active",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ads/ads/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/ads/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "account_id": "your_account_id",
    "labels": [],
    "ad_group_id": "your_ad_group_id",
    "bid": {},
    "conversion_domain": "your_conversion_domain",
    "creative_id": [],
    "name": "your_name",
    "status": "active",
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'ads',
  'ads',
  '<resource_id>',
  {
  "account_id": "your_account_id",
  "labels": [],
  "ad_group_id": "your_ad_group_id",
  "bid": {},
  "conversion_domain": "your_conversion_domain",
  "creative_id": [],
  "name": "your_name",
  "status": "active",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "ads",
        "ads",
        "<resource_id>",
        {
        "account_id": "your_account_id",
        "labels": [],
        "ad_group_id": "your_ad_group_id",
        "bid": {},
        "conversion_domain": "your_conversion_domain",
        "creative_id": [],
        "name": "your_name",
        "status": "active",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())